# snd_tplg_stream_template Struct Reference
[Topology Interface]

Stream configurations. More...

## Data Fields

const char * | name
int | format
int | rate
int | period_bytes
int | buffer_bytes
int | channels

## Detailed Description

Stream configurations.

## Field Documentation

int snd_tplg_stream_template::buffer_bytes

size of buffer in bytes.

int snd_tplg_stream_template::channels

number of channels

int snd_tplg_stream_template::format

SNDRV_PCM_FMTBIT_*

const char* snd_tplg_stream_template::name

name of the stream config

int snd_tplg_stream_template::period_bytes

size of period in bytes

int snd_tplg_stream_template::rate

SNDRV_PCM_RATE_*

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines